import * as React from 'react';

var _path, _path2, _g, _path3, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSouthAfricaCircled = function SvgSouthAfricaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("mask", {
    id: "SouthAfricaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), /*#__PURE__*/React.createElement("g", {
    clipPath: "url(#SouthAfricaCircled_svg__b)",
    mask: "url(#SouthAfricaCircled_svg__a)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "SouthAfricaCircled_svg__c",
    width: 47,
    height: 46,
    x: 0,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "luminance"
    }
  }, _path2 || (_path2 = /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M.994 1h46v46h-46z"
  }))), _g || (_g = /*#__PURE__*/React.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    mask: "url(#SouthAfricaCircled_svg__c)"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#000",
    d: "M-5.46 37.635V10.382L14.833 24z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#000C8A",
    d: "m8.388 47.008 22.778-15.33H63.54v15.33z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#E1392D",
    d: "M6.924 1h56.624v15.34h-32.39S7.227.852 6.923 1"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFB915",
    d: "M-5.46 6.755v3.618L14.833 24-5.46 37.626v3.628L20.1 24z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#007847",
    d: "M-5.46 6.754V1h8.526l27.07 18.322h33.403v9.364H30.135L3.066 46.999H-5.46v-5.745L20.1 24z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFFFFE",
    d: "M3.066 1h5.322l22.778 15.34H63.54v2.982H30.135zm0 46.008h5.322l22.778-15.33H63.54v-2.983H30.135L3.066 47z"
  })))), _path3 || (_path3 = /*#__PURE__*/React.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("clipPath", {
    id: "SouthAfricaCircled_svg__b"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

export { SvgSouthAfricaCircled as ReactComponent };
